package com.brilliance.isc.common.trnsig.service;


import com.brilliance.isc.bo.Trn;
import com.brilliance.isc.bo.Usr;
import com.brilliance.isc.common.trnsig.vo.TrnsigVo;

import java.math.BigDecimal;


public interface TrnsigService {
    String sigUsrRelFlg(Trn trn, String user, String iniuser, BigDecimal amt, String fromcur, TrnsigVo trnisg);

    String sigUsrRelFlg(Trn trn);

    int getUseIdx(Trn trn,String argTrnRelFlg);

    boolean sigUsrConfirm(Trn argTrn, String user, Usr usr);
}
